import request from '@/utils/request'

// 查询我的好友列表
export function listFriends(query) {
  return request({
    url: '/system/friends/list',
    method: 'get',
    params: query
  })
}

// 查询我的好友详细
export function getFriends(id) {
  return request({
    url: '/system/friends/' + id,
    method: 'get'
  })
}

// 新增我的好友
export function addFriends(data) {
  return request({
    url: '/system/friends',
    method: 'post',
    data: data
  })
}

// 修改我的好友
export function updateFriends(data) {
  return request({
    url: '/system/friends',
    method: 'put',
    data: data
  })
}

// 删除我的好友
export function delFriends(id) {
  return request({
    url: '/system/friends/' + id,
    method: 'delete'
  })
}

// 导出我的好友
export function exportFriends(query) {
  return request({
    url: '/system/friends/export',
    method: 'get',
    params: query
  })
}